| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_TUPLE_POP_FRONT

BOOST_VMD_TUPLE_POP_FRONT — pops an element from the front of a tuple.

## Synopsis

    // In header: <boost/vmd/tuple/pop_front.hpp>

    BOOST_VMD_TUPLE_POP_FRONT(tuple)

## Description

tuple = tuple to pop an element from.

If the tuple is an empty tuple the result is undefined. If the tuple is a single element the result is an empty tuple. Otherwise the result is a tuple after removing the first element.